/**
 * $Id: World.java,v 1.3 2009/03/26 10:53:38 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 03.01.2009 by oliver (ob@oasd.de)
 */
package patterntesting.sample;

import patterntesting.annotation.check.ct.SuppressSystemOutWarning;

/**
 * This is an example where it makes sense to use System.out or System.err.
 * 
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 03.01.2009
 * @version $Revision: 1.3 $
 */
public class World {

    /**
     * The main method must not be marked with @SuppressSystemOutWarning
     * 
     * @param args
     */
    public static void main(String[] args) {
        System.out.println("Hello World!");
        printHelloAgain();
    }
    
    @SuppressSystemOutWarning
    private static void printHelloAgain() {
        System.out.println("Hello again!");
    }

}

/**
 * $Log: World.java,v $
 * Revision 1.3  2009/03/26 10:53:38  oboehm
 * using now patterntesting-check-ct
 *
 * Revision 1.2  2009/03/17 22:07:26  oboehm
 * another example for @SuppressSystemOutWarning added
 *
 * Revision 1.1  2009/01/05 20:58:05  oboehm
 * Hello-World example added (as example for SopAspect)
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-samples/src/main/java/patterntesting/sample/World.java,v $
 */
